Skip to main content

Type Alias: GatewayInferenceWebSearchTool

type GatewayInferenceWebSearchTool = {
[key: string]: unknown;
type: "web_search_preview" | "web_search_preview_2025_03_11";
user_location?: | {
[key: string]: unknown;
country?: string;
region?: string;
city?: string;
timezone?: string;
type: "approximate";
}
| null;
search_context_size?: GatewayInferenceWebSearchContextSize;
};

Defined in: src/models/ai-gateway-inference.ts:3719

Portkey WebSearchTool; additive response fields are preserved.

Example​

`GatewayInferenceWebSearchToolSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "web_search_preview" | "web_search_preview_2025_03_11";

Defined in: src/models/ai-gateway-inference.ts:3720


user_location?​

optional user_location?:
| {
[key: string]: unknown;
country?: string;
region?: string;
city?: string;
timezone?: string;
type: "approximate";
}
| null;

Defined in: src/models/ai-gateway-inference.ts:3721


search_context_size?​

optional search_context_size?: GatewayInferenceWebSearchContextSize;

Defined in: src/models/ai-gateway-inference.ts:3729